Macro Cura gli archi

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Macro HealArcs and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎čeština

Macro HealArcs.png Cura gli archi

Descrizione
Talvolta gli archi vengono trasformati in BSpline, per esempio quando si applicano ad essi delle operazioni di scala. Questa macro ricrea gli archi dalle BSpline. È utile prima di esportare in dxf

Versione macro: 0.1
Ultima modifica: 2011-09-24
Versione FreeCAD: All
Download: ToolBar Icon
Autore
Yorik
Download
ToolBar Icon
Link
Versione macro
0.1
Data ultima modifica
2011-09-24
Versioni di FreeCAD
All
Scorciatoia
Nessuna
Vedere anche
Nessuno


Descrizione

Talvolta gli archi vengono trasformati in BSpline, per esempio quando si applicano ad essi delle operazioni di scala. Questa macro ricrea gli archi dalle BSpline. È utile prima di esportare in dxf

Script

ToolBar Icon Macro HealArcs.png

Macro_HealArcs.FCMacro

try:
    import DraftGeomUtils as fcgeo
except:
    from draftlibs import fcgeo
import FreeCAD,FreeCADGui,Part

sel = FreeCADGui.Selection.getSelection()
if not sel:
    FreeCAD.Console.PrintWarning("Select something first!")
else:
    removeList = []
    for obj in sel:
        ed = obj.Shape.Edges[0]
        arc = fcgeo.arcFromSpline(ed)
        if arc:
            Part.show(arc)
            removeList.append(obj.Name)
    FreeCAD.ActiveDocument.recompute()
    print "removing ",removeList
    for n in removeList:
        FreeCAD.ActiveDocument.removeObject(n)